#!/usr/bin/python3

# List sorting.

dogNames = [ "harry", "Shenanigans","katrina","Tanner","Yukon Jack", "Colorado","Mandy"]
firstNames = ["edward","david", "Bob","mary","alice"]
intList = [7, 2, 12, 18, 16, 21]
primeList = [1, 2, 3, 7, 11, 13, 17, 19]
txtList = ["7", "2", "12", "18", "16", "21"]

print (dogNames," length = ",len(dogNames))
print(firstNames," length = ",len(firstNames))
print(intList," length = ",len(intList))
print(primeList," length = ",len(primeList))
print(txtList," length = ",len(txtList))

print("Reverse a list")
dogNames.reverse()
print (dogNames," length = ",len(dogNames))
print("\n")

print("Sort a text list")
dogNames.sort()
print (dogNames," length = ",len(dogNames))
print("\n")

print("Sort a number list")
intList.sort()
print (intList," length = ",len(intList))
print("\n")

print("Sum a number list")
mySum = sum(intList)
print (intList," sum = ",mySum)
print("\n")

print("Sort a text list of number strings")
txtList.sort()
print (txtList," length = ",len(txtList))
print("\n")



